ALTER TABLE `personal_access_list` ADD `deleted` INT NOT NULL AFTER `recipient_address`;

ALTER TABLE `personal_access_list` CHANGE `created` `created_at` TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP;

ALTER TABLE `personal_access_list` ADD `updated_at` DATETIME NULL DEFAULT CURRENT_TIMESTAMP AFTER `created_at`;

DELIMITER @@
CREATE TRIGGER `personal_access_list_updated` BEFORE UPDATE ON `personal_access_list`
FOR EACH ROW BEGIN
   SET NEW.updated_at = NOW();
END; @@
DELIMITER ;
