CREATE TABLE `personal_access_list` (
  `sender_address` varchar(64) NOT NULL,
  `recipient_address` varchar(64) NOT NULL,
  `deleted` int(11) NOT NULL,
  `result` varchar(64) NOT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `message` varchar(256) NOT NULL,
  `log_message` varchar(256) NOT NULL
  PRIMARY KEY (`recipient_address`,`sender_address`);
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DELIMITER $$
CREATE TRIGGER `personal_access_list_updated` BEFORE UPDATE ON `personal_access_list` FOR EACH ROW BEGIN
   SET NEW.updated_at = NOW();
END
$$
DELIMITER ;
